### Signal

# Adw Sidebar::activated

since: 1.9

#### Declaration

    void
    activated (
      AdwSidebar* self,
      guint index,
      gpointer user_data
    )

#### Description [src]

Emitted when an item at `index` has been activated.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.9

#### Parameters

`index`

  Type: `guint`

  The item index.